package com.example.vdcscore.models;

import java.io.Serializable;
import com.google.firebase.database.PropertyName;

public class Player implements Serializable {
    @PropertyName("id")
    private int id;

    @PropertyName("nome")
    private String nome;

    @PropertyName("foto")
    private String foto;

    @PropertyName("data_nascimento")
    private String dataNascimento;

    @PropertyName("naturalidade")
    private String naturalidade;

    public Player() {
        // Default constructor required for calls to DataSnapshot.getValue(Player.class)
    }

    public Player(int id, String nome, String foto, String dataNascimento, String naturalidade) {
        this.id = id;
        this.nome = nome;
        this.foto = foto;
        this.dataNascimento = dataNascimento;
        this.naturalidade = naturalidade;
    }

    @PropertyName("id")
    public int getId() {
        return id;
    }

    @PropertyName("id")
    public void setId(int id) {
        this.id = id;
    }

    @PropertyName("nome")
    public String getNome() {
        return nome;
    }

    @PropertyName("nome")
    public void setNome(String nome) {
        this.nome = nome;
    }

    @PropertyName("foto")
    public String getFoto() {
        return foto;
    }

    @PropertyName("foto")
    public void setFoto(String foto) {
        this.foto = foto;
    }

    @PropertyName("data_nascimento")
    public String getDataNascimento() {
        return dataNascimento;
    }

    @PropertyName("data_nascimento")
    public void setDataNascimento(String dataNascimento) {
        this.dataNascimento = dataNascimento;
    }

    @PropertyName("naturalidade")
    public String getNaturalidade() {
        return naturalidade;
    }

    @PropertyName("naturalidade")
    public void setNaturalidade(String naturalidade) {
        this.naturalidade = naturalidade;
    }
}
